%global pixbuf_moduledir %(pkg-config gdk-pixbuf-2.0 --variable=gdk_pixbuf_moduledir)

%global pixbufname %mklibname abydos-pixbuf-loaders

# don't provide pixbuf loader .so
%global __provides_exclude_from %{pixbuf_moduledir}/.*\\.so

Name:		abydos-pixbuf
Summary:	A set of gdk-pixbuf loaders that simply act as proxies for abydos
Version:	0.2
Release:	%mkrel 6
License:	LGPLv2+
Group:		System/Libraries
Url:		https://snisurset.net/code/abydos/
Source0:	https://snisurset.net/code/abydos/files/abydos-pixbuf-%{version}.tar.xz
Patch0:		abydos-pixbuf-0.2-fix-build.patch
Patch1:		abydos-pixbuf-0.2-fix-build2.patch
Patch2:		abydos-pixbuf-0.2-fix-install.patch
BuildRequires:	pkgconfig(abydos)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)

%description
A set of gdk-pixbuf loaders that simply act as proxies for abydos.

%package -n %{pixbufname}
Summary:	A set of gdk-pixbuf loaders that simply act as proxies for abydos
Group:		System/Libraries
Provides:	abydos-pixbuf-loaders = %{version}-%{release}

%description -n %{pixbufname}
A set of gdk-pixbuf loaders that simply act as proxies for abydos.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi -Im4
%configure
%make_build

%install
%make_install

%files -n %{pixbufname}
%license COPYING
%{pixbuf_moduledir}/*.so


%changelog
* Mon Sep 19 2022 neoclust <neoclust> 0.2-6.mga9
+ Revision: 1890434
- Rebuild against fixes abydos
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 17 2020 wally <wally> 0.2-4.mga8
+ Revision: 1628077
- rebuild for abydos 0.2

* Tue Feb 18 2020 umeabot <umeabot> 0.2-3.mga8
+ Revision: 1538907
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Nov 28 2019 wally <wally> 0.2-2.mga8
+ Revision: 1463355
- rebuild with latest abydos

* Tue Apr 16 2019 wally <wally> 0.2-1.mga7
+ Revision: 1391694
- imported package abydos-pixbuf

